Bug 977116 - Review Request: pgmodeler - PostgreSQL Database Modeler
Review Request: pgmodeler - PostgreSQL Database Modeler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On: 1291003
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 12:14 EDT by Pavel Alexeev
Modified: 2016-10-11 15:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-11 11:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+


Attachments (Terms of Use)
Backtrace. (1.20 KB, text/plain)
2013-07-01 16:17 EDT, Pavel Raiskup
no flags Details

  None (edit)
Description Pavel Alexeev 2013-06-23 12:14:26 EDT
Spec URL: https://raw.github.com/Hubbitus/Fedora-packaging/d5beae3bfa61488a3514830de432b0db6bbea61a/SPECS/pgmodeler.spec
SRPM URL: http://hubbitus.info/rpm/Fedora18/pgmodeler/pgmodeler-0.5.1_r1-1.GITbe5b74a.fc18.src.rpm
Description: PostgreSQL Database Modeler, or simply, pgModeler is an
open source tool for modeling databases that merges the classical
concepts of entity-relationship diagrams with specific features that
only PostgreSQL implements. The pgModeler translates the models created
by the user to SQL code and apply them onto database clusters (Version
9.x).
Fedora Account System Username: hubbitus
Comment 1 Pavel Raiskup 2013-07-01 16:17:41 EDT
Created attachment 767509 [details]
Backtrace.

Apart from the review (more like a reaction to the blocking bug 977115) - isn't
it possible to use something like that .. in your .pro file?

  diff --git a/pgmodeler.pro b/pgmodeler.pro
  index c29d9a8..5e8f5ad 100644
  --- a/pgmodeler.pro
  +++ b/pgmodeler.pro
  @@ -9,9 +9,10 @@
   ############################################################
   unix {
    !macx:CONFIG += link_pkgconfig
  - !macx:PKGCONFIG = libpq libxml-2.0
  - !macx:PGSQL_LIB = -lpq
  + !macx:PKGCONFIG = libxml-2.0
    !macx:XML_LIB = -lxml2
  + QMAKE_CXXFLAGS = -I/usr/include/pgsql
  + QMAKE_LFLAGS = -lpq
   }

   macx {

I'm unable to build the package successfully even if I provide the '*.pc' file
as you suggested (on fc19 x86_64) so I can't tell you 100% sure that this tweak
is OK ~~> in both ways, jfyi, the pgmodeler immediately ends with segfault
(backtrace is attached).

Pavel
Comment 2 Pavel Alexeev 2013-07-04 12:31:17 EDT
Pavel thank you for the help attempt.
Sure I'll be able hack it to build without pckgconfig, but in most cases it is not good choose. But you point also have sence. Please consider put that file together with another update in stable fedora branch if happened.

And strange, on Fedora 18 I be able build and run it.
Does
. /etc/profile.d/pgmodeler.bash ; pgmodeler
run it?
Comment 4 Volker Fröhlich 2013-07-08 11:59:05 EDT
Don't use the vendor tag: http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Is there no icon? Also try to get the desktop file upstream, if you haven't done so yet.

You can use the name macro for the patch names.

I think you should rather use find than ls as a source to your loop.

rm -rf %{buildroot} is no longer necessary.

The locales aren't handled properly, see: http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

Are those libraries really intended to be public? If so, there should be header files and a devel-subpackage.

/usr/bin/crashhandler is a potentially problematic name.
Comment 5 Pavel Alexeev 2013-07-14 14:49:34 EDT
Hello Volker.

>Is there no icon?
I have not found file intended to be icon. But in .desktop file for that use pgmodeler_logo.png

> Also try to get the desktop file upstream, if you haven't done so yet.
https://github.com/pgmodeler/pgmodeler/issues/278

> I think you should rather use find than ls as a source to your loop.
Sure. What it changes? Is there advantages for that particular case?

> /usr/bin/crashhandler is a potentially problematic name.
Sure. But at first glance via "repoquery --whatprovides /usr/bin/crashhandler" it  is not used yet.

> The locales aren't handled properly, see
I have tried do that initially, but its does not found. Rpmbuild fails with error:
$ /usr/lib/rpm/find-lang.sh /home/pasha/SOFT/rpmbuild/BUILDROOT/pgmodeler-0.5.1_r1-3.GITbe5b74a.fc19.x86_64 pgmodeler
No translations found for pgmodeler in /home/pasha/SOFT/rpmbuild/BUILDROOT/pgmodeler-0.5.1_r1-3.GITbe5b74a.fc19.x86_64

Do you have ideas why?


Other issues addressed, thank you for the comments.
Spec: https://github.com/Hubbitus/Fedora-packaging/blob/f58ef89a618732e93c2b8adbd4c7f9629ea8109c/SPECS/pgmodeler.spec
Spec changes: https://github.com/Hubbitus/Fedora-packaging/commit/f58ef89a618732e93c2b8adbd4c7f9629ea8109c
Srpm: http://hubbitus.info/rpm/Fedora19/pgmodeler/pgmodeler-0.5.1_r1-3.GITbe5b74a.fc19.src.rpm
Comment 6 Volker Fröhlich 2013-07-14 17:28:45 EDT
ls was not written to be parsed. I think that many people would consider it bad practice, but I leave that up to you.

I have no idea what that crashhandler binary does. It has no help, no man page and it doesn't say a lot anyway. I'd really consider prefixing the name or even removing it. It doesn't seem to be meant for standalone execution. I wonder if it should really be in bindir then.

pgmodeler-devel.x86_64: E: incorrect-fsf-address /usr/include/pgmodeler/modeloverviewwidget.h
pgmodeler.x86_64: W: unstripped-binary-or-object /usr/lib64/pgmodeler/plugins/libdummy.so
pgmodeler.x86_64: W: unstripped-binary-or-object /usr/lib64/pgmodeler/plugins/libxml2object.so

Where's that "_r1" in the version from? Are you sure you want that as part of the version and not release?

The Qt patches are irrelevant for upstream or already included? I usually try to have a comment about the status in the spec file or the patch.

I'm not sure if everything that is below /etc really belongs there. I also found an icon there, by the way. The bash completion script should be handled differently too: Completion scripts are loaded on demand from bash-completion 1.99 on -- http://mm3test.fedoraproject.org/hyperkitty/list/devel@mm3test.fedoraproject.org/thread/4PV7CQUQ2POT52EDMRUKZUKR4PEQYEG6/

mkdir -p %{buildroot}%{completion_path}
mv %{buildroot}%{_sysconfdir}/bash_completion.d/pgmodeler-cli-completion.bash %{buildroot}%{completion_path}/pgmodeler-cli

These commands are written under the assumption the completion is for the cli binary. If that's worth anything standalone, I'd suggest to have a subpackage.

pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libutils.so.1.0.0 /lib64/libpq.so.5
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libutils.so.1.0.0 /lib64/libQtGui.so.4
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libutils.so.1.0.0 /lib64/libxml2.so.2
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libutils.so.1.0.0 /lib64/libXext.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libutils.so.1.0.0 /lib64/libX11.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libutils.so.1.0.0 /lib64/libm.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libpq.so.5
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libxml2.so.2
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libXext.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libX11.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libm.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdbconnect.so.1.0.0 /lib64/libQtGui.so.4
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdbconnect.so.1.0.0 /lib64/libxml2.so.2
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdbconnect.so.1.0.0 /lib64/libXext.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdbconnect.so.1.0.0 /lib64/libX11.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdbconnect.so.1.0.0 /lib64/libm.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libpq.so.5
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libxml2.so.2
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libXext.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libX11.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libpq.so.5
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libxml2.so.2
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libXext.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libX11.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libparsers.so.1.0.0 /lib64/libpq.so.5
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libparsers.so.1.0.0 /lib64/libQtGui.so.4
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libparsers.so.1.0.0 /lib64/libpthread.so.0
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libparsers.so.1.0.0 /lib64/libXext.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libparsers.so.1.0.0 /lib64/libX11.so.6
pgmodeler.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libparsers.so.1.0.0 /lib64/libm.so.6

There's some unnecessary linking going on. If these libraries are meant to be used by other applications than that GUI, that should probably be resolved.

The locale script doesn't work because the locales are expected to have some kind of prefix to fr_FR. If you prefix them with something like pgmodeler_ and run %find_lang %{name} --with-qt, it works. You need to exclude the file list duplicates too. In my experience, you don't need to BR gettext.
Comment 7 Volker Fröhlich 2013-07-14 17:35:06 EDT
The GUI doesn't seem to start for me on F18.
Comment 8 Pavel Alexeev 2013-07-20 15:13:12 EDT
(In reply to Volker Fröhlich from comment #6)

>I have no idea what that crashhandler binary does. It has no help, no man page
> and it doesn't say a lot anyway. I'd really consider prefixing the name or even
> removing it. It doesn't seem to be meant for standalone execution. I wonder if
> it should really be in bindir then.
It does what name speak: handle application crash if happened. It does not intended to be called by user. I fully agree with you what prefixed name would be much more appropriate or even other location.

Unfortunately that name hardcoded in src: https://github.com/pgmodeler/pgmodeler/blob/master/main/src/main.cpp and I do not willing patch. I have ask upstream about it: https://github.com/pgmodeler/pgmodeler/issues/282

> Where's that "_r1" in the version from? Are you sure you want that as part of
> the version and not release?
From authors changelog: 
https://github.com/pgmodeler/pgmodeler/blob/master/CHANGELOG.md

> The Qt patches are irrelevant for upstream or already included? I usually
> try to have a comment about the status in the spec file or the patch.
I treat it as "Fedora-specific" and did not send upstream. Comment "for current Fedora releases" is not clear state it? It is just my fast backport attempt. Pgmodeler developed to work with Qt5 which is not Fedora stable releases yet.

> I'm not sure if everything that is below /etc really belongs there. I also
> found an icon there, by the way.
Logo, not icon. What you think appropriate path for it? /usr/share/pgmodeler I suppose? Most other files is *.conf and *.dtd which may be treated as conf correctly.

> The bash completion script should be
> handled differently too
There no bash completions scripts.

I think you are by mistake speak about %{_sysconfdir}/profile.d/%{name}.bash? It is just used to set environment variables appropriately as theys used by application for function properly.

> 
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libutils.so.1.0.0 /lib64/libpq.so.5
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libutils.so.1.0.0 /lib64/libQtGui.so.4
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libutils.so.1.0.0 /lib64/libxml2.so.2
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libutils.so.1.0.0 /lib64/libXext.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libutils.so.1.0.0 /lib64/libX11.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libutils.so.1.0.0 /lib64/libm.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libpq.so.5
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libxml2.so.2
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libXext.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libX11.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libm.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libdbconnect.so.1.0.0 /lib64/libQtGui.so.4
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libdbconnect.so.1.0.0 /lib64/libxml2.so.2
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libdbconnect.so.1.0.0 /lib64/libXext.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libdbconnect.so.1.0.0 /lib64/libX11.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libdbconnect.so.1.0.0 /lib64/libm.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libpq.so.5
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libxml2.so.2
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libXext.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libX11.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libpq.so.5
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libxml2.so.2
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libXext.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libX11.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libparsers.so.1.0.0 /lib64/libpq.so.5
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libparsers.so.1.0.0 /lib64/libQtGui.so.4
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libparsers.so.1.0.0 /lib64/libpthread.so.0
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libparsers.so.1.0.0 /lib64/libXext.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libparsers.so.1.0.0 /lib64/libX11.so.6
> pgmodeler.x86_64: W: unused-direct-shlib-dependency
> /usr/lib64/libparsers.so.1.0.0 /lib64/libm.so.6
> 
> There's some unnecessary linking going on. If these libraries are meant to
> be used by other applications than that GUI, that should probably be
> resolved.
I don't known other usages.

> The locale script doesn't work because the locales are expected to have some
> kind of prefix to fr_FR. If you prefix them with something like pgmodeler_
> and run %find_lang %{name} --with-qt, it works.
Will them then work or patching needed?

> In my experience, you don't need to BR gettext.
Guidelines said it needed.
Comment 9 Pavel Alexeev 2013-07-20 15:14:15 EDT
It starts on my machine. What troubles or errors you are experience?
Comment 10 Christopher Meng 2013-07-20 19:00:41 EDT
What's your os version? 

Btw can you scratch a build for f19, f20?
Comment 11 Pavel Alexeev 2013-07-21 11:09:31 EDT
I run Fedora 19.

Sure.
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=5634601
f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5634615
f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=5634627

Meantime chrashhandler renamed. I ask path customization key.
Comment 12 Volker Fröhlich 2013-07-23 12:14:38 EDT
Didn't work on F18, doesn't work on F19 either.

Strace from F19: http://www.geofrogger.net/review/pgmodeler.strace
Comment 13 Pavel Alexeev 2013-08-04 07:15:19 EDT
Please look at new version.

- Repository moved to bitbucket.org.
- Crashhandler naming issue resolved: https://bitbucket.org/pgmodeler/pgmodeler/issue/282/please-move-crashhandler-to-libexec-dir and suggested build from reveng-support 0.6.0-alpha branch.
- BR qt-devel up to qt5-qtbase-devel.
- Delete qt4-compatibility patches.
- Add binaries wrapper and real binaries rename with -bin suffix to include environment variables for correct start.

Changes:
https://github.com/Hubbitus/Fedora-packaging/commit/21b3f0b3015af539844da6416d8dcd8789b343a1
https://github.com/Hubbitus/Fedora-packaging/commit/068cf200cff7cdf96007537950cd38c3bc8ef305
Spec: https://raw.github.com/Hubbitus/Fedora-packaging/97aa4133c6eead4479e2dca88102e4a1756662fd/SPECS/pgmodeler.spec
Srpm: http://hubbitus.info/rpm/Fedora19/pgmodeler/pgmodeler-0.6.0_alpha-0.1.git.ec8d48f.fc19.src.rpm
Comment 14 Volker Fröhlich 2013-08-04 14:08:01 EDT
This one works for me on F18. I noticed a relevant error message though:

- Open Pgmodeler, "File New"
- Add some table and close the consecutive dialogue
- Exit without saving

"Unable to write the model in the file /etc/pgmodeler/pgmodeler.conf due to one or more errors in the definition generation process!"
Comment 16 Volker Fröhlich 2013-09-22 12:15:30 EDT
It seems like there's something going on with plug-ins. While two of them are installed, the are not visible on the plug-ins tab of "Settings". It might be connected to the existence of

PGMODELER_PLUGIN_DIR
and
PGMODELER_PLUGINS_DIR
Comment 17 Volker Fröhlich 2013-09-22 13:35:01 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #8)
> (In reply to Volker Fröhlich from comment #6)
> > I'm not sure if everything that is below /etc really belongs there. I also
> > found an icon there, by the way.
> Logo, not icon. What you think appropriate path for it? /usr/share/pgmodeler
> I suppose? Most other files is *.conf and *.dtd which may be treated as conf
> correctly.

You can install the icons in %{_datadir}/pixmaps. Please also update the desktop file according to preferred form described in http://fedoraproject.org/wiki/Packaging:Guidelines#Icon_tag_in_Desktop_Files

From the desktop file: "Program with nice Qt interface for visual modeling PostgreSQL database in terms on entity relationship model" -- I'm not a native speaker, but that "on" doesn't sound right.

> I think you are by mistake speak about
> %{_sysconfdir}/profile.d/%{name}.bash? It is just used to set environment
> variables appropriately as theys used by application for function properly.

Yes, I was wrong there. Do we really need this profile? It's not like these settings vary on a system-wide scope, as you defined them through packaging. Are there no hard-coded defaults?

> > 
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libutils.so.1.0.0 /lib64/libpq.so.5
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libutils.so.1.0.0 /lib64/libQtGui.so.4
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libutils.so.1.0.0 /lib64/libxml2.so.2
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libutils.so.1.0.0 /lib64/libXext.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libutils.so.1.0.0 /lib64/libX11.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libutils.so.1.0.0 /lib64/libm.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libpq.so.5
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libxml2.so.2
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libXext.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libX11.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libm.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libQtGui.so.4
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libxml2.so.2
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libXext.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libX11.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libm.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libpq.so.5
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libxml2.so.2
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libXext.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libX11.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libpq.so.5
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libxml2.so.2
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libXext.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libX11.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libparsers.so.1.0.0 /lib64/libpq.so.5
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libparsers.so.1.0.0 /lib64/libQtGui.so.4
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libparsers.so.1.0.0 /lib64/libpthread.so.0
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libparsers.so.1.0.0 /lib64/libXext.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libparsers.so.1.0.0 /lib64/libX11.so.6
> > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > /usr/lib64/libparsers.so.1.0.0 /lib64/libm.so.6
> > 
> > There's some unnecessary linking going on. If these libraries are meant to
> > be used by other applications than that GUI, that should probably be
> > resolved.
> I don't known other usages.

That said, I wonder if all the libraries should go to /usr/lib64/pgmodeler instead. Some names are a bit generic and we could drop the devel sub-package and the associated files too.

> > The locale script doesn't work because the locales are expected to have some
> > kind of prefix to fr_FR. If you prefix them with something like pgmodeler_
> > and run %find_lang %{name} --with-qt, it works.
> Will them then work or patching needed?

I'd try to rename them before compiling and patch pgmodeler-intl.pro, but I haven't tried that before.

> > In my experience, you don't need to BR gettext.
> Guidelines said it needed.

Only if gettext is used, which is not the case.

pgmodeler.src:54: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 54)

Some source files miss a license header. Please ask upstream to add them.

For the protocol: The error described in comment #14 is sorted out.

I suggest to use %{_datadir} instead of %{_datarootdir}.

Did you query upstream on the poorly made install target?
Comment 18 Pavel Alexeev 2013-09-29 13:24:16 EDT
(In reply to Volker Fröhlich from comment #16)
> It seems like there's something going on with plug-ins. While two of them
> are installed, the are not visible on the plug-ins tab of "Settings". It
> might be connected to the existence of
> 
> PGMODELER_PLUGIN_DIR
> and
> PGMODELER_PLUGINS_DIR

According to globalattributes.h:
PLUGINS_DIR=(getenv("PGMODELER_PLUGINS_DIR") ? QString(getenv("PGMODELER_PLUGINS_DIR")).replace("\\","/") : QString("./plugins")),

I correctly set PGMODELER_PLUGINS_DIR variable, not PGMODELER_PLUGIN_DIR.
And as one internal plugin and one dummy may be thay should not be listed in gui?
Comment 19 Volker Fröhlich 2013-09-29 17:30:22 EDT
Possibly, but the screenshot at the bottom of this page makes me assume other:

http://www.pgmodeler.com.br/wiki/doku.php?id=configurations#plug-ins
Comment 20 Pavel Alexeev 2013-10-01 14:31:13 EDT
(In reply to Volker Fröhlich from comment #17)
> (In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #8)
> > (In reply to Volker Fröhlich from comment #6)
> > > I'm not sure if everything that is below /etc really belongs there. I also
> > > found an icon there, by the way.
> > Logo, not icon. What you think appropriate path for it? /usr/share/pgmodeler
> > I suppose? Most other files is *.conf and *.dtd which may be treated as conf
> > correctly.
> 
> You can install the icons in %{_datadir}/pixmaps. Please also update the
> desktop file according to preferred form described in
> http://fedoraproject.org/wiki/Packaging:Guidelines#Icon_tag_in_Desktop_Files
Ok, let it be.

> From the desktop file: "Program with nice Qt interface for visual modeling
> PostgreSQL database in terms on entity relationship model" -- I'm not a
> native speaker, but that "on" doesn't sound right.
Sure "of" should be there. Thanks.

> > I think you are by mistake speak about
> > %{_sysconfdir}/profile.d/%{name}.bash? It is just used to set environment
> > variables appropriately as theys used by application for function properly.
> 
> Yes, I was wrong there. Do we really need this profile? It's not like these
> settings vary on a system-wide scope, as you defined them through packaging.
> Are there no hard-coded defaults?
It is simply defaults for users which is picked up in first run. Then it may be customized by each user in their homedir.

> > > 
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libutils.so.1.0.0 /lib64/libpq.so.5
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libutils.so.1.0.0 /lib64/libQtGui.so.4
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libutils.so.1.0.0 /lib64/libxml2.so.2
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libutils.so.1.0.0 /lib64/libXext.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libutils.so.1.0.0 /lib64/libX11.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libutils.so.1.0.0 /lib64/libm.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libpq.so.5
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libxml2.so.2
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libXext.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libX11.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler.so.1.0.0 /lib64/libm.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libQtGui.so.4
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libxml2.so.2
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libXext.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libX11.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libdbconnect.so.1.0.0 /lib64/libm.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libpq.so.5
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libxml2.so.2
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libXext.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libobjrenderer.so.1.0.0 /lib64/libX11.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libpq.so.5
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libxml2.so.2
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libXext.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libpgmodeler_ui.so.1.0.0 /lib64/libX11.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libparsers.so.1.0.0 /lib64/libpq.so.5
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libparsers.so.1.0.0 /lib64/libQtGui.so.4
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libparsers.so.1.0.0 /lib64/libpthread.so.0
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libparsers.so.1.0.0 /lib64/libXext.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libparsers.so.1.0.0 /lib64/libX11.so.6
> > > pgmodeler.x86_64: W: unused-direct-shlib-dependency
> > > /usr/lib64/libparsers.so.1.0.0 /lib64/libm.so.6
> > > 
> > > There's some unnecessary linking going on. If these libraries are meant to
> > > be used by other applications than that GUI, that should probably be
> > > resolved.
> > I don't known other usages.
> 
> That said, I wonder if all the libraries should go to /usr/lib64/pgmodeler
> instead. Some names are a bit generic and we could drop the devel
> sub-package and the associated files too.
I fill issue about that upstream: https://github.com/pgmodeler/pgmodeler/issues/312

I'll post new package later at least when it will be clarified.

Thank you for the comments.
Comment 21 Pavel Alexeev 2013-10-20 14:38:35 EDT
Raphael does not willing move such libraries outside system lib and said it have no name conflict. Could we then continue?
Comment 23 Christopher Meng 2014-01-04 01:27:18 EST
0.6.2 is ready.

Use %_qt5_qmake.
Comment 25 Christopher Meng 2014-04-20 06:34:54 EDT
Please update to 0.7.1, I will review it soon.
Comment 27 Itamar Reis Peixoto 2014-04-21 16:16:36 EDT
only load for me running.

LD_LIBRARY_PATH=/usr/lib64/pgmodeler pgmodeler
Comment 29 Pavel Alexeev 2015-03-03 19:08:44 EST
pgpmodeler - update to 0.8.0
- Updaate to 0.8.0 by request Edson Ferreira (#1)
- Changed files layout. Big job has been done in pgmodeler/pgmodeler#559 so use qmake project files parameters and makefile variables instead of manual installation and various hacks.
- Spec cleanup.
- Fix mixed tab/space rpmlint warn.
- Move LICENSE into %%license from %%doc
- Include RELEASENOTES.md.

Changes: https://github.com/Hubbitus/Fedora-packaging/commit/65a878f0c47e5ff469e7c8ffbad8780f9910f629
Spec: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/65a878f0c47e5ff469e7c8ffbad8780f9910f629/SPECS/pgmodeler.spec
Srpm: http://hubbitus.info/rpm/Fedora21/pgmodeler/pgmodeler-0.8.0-1.fc21.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=9131663

Spec now much more legible and easy for review.
Christopher could we do it eventually please?
Comment 30 Pavel Alexeev 2015-03-03 19:09:16 EST
AppData requested - https://github.com/pgmodeler/pgmodeler/issues/622
Comment 32 Pavel Alexeev 2015-11-25 17:47:27 EST
Christopher, ping?
Comment 33 Upstream Release Monitoring 2015-11-28 14:13:14 EST
hubbitus's scratch build of pgmodeler-0.8.2-0.alpha.1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12004933
Comment 35 Upstream Release Monitoring 2016-01-06 06:43:52 EST
hubbitus's scratch build of pgmodeler-0.8.2-0.2.beta.git.8d1e180.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12434408
Comment 37 Pavel Alexeev 2016-01-07 17:00:22 EST
Christopher QT bug resolved, so we can continue review.
Comment 38 Pavel Alexeev 2016-01-30 15:07:31 EST
Christopher do you plan continue review??? Months without answer!
Comment 39 Pavel Alexeev 2016-02-06 05:36:16 EST
Reviewer did not answer in months. Clear assignment.
Comment 40 Sandro Mani 2016-07-20 05:27:17 EDT
@Pavel: still interested in this? I'm happy to review. Can you update to the latest version?
Comment 41 Igor Gnatenko 2016-07-20 05:36:55 EDT
Please update to new version and I will review almost immediately ;)
Comment 43 Sandro Mani 2016-08-18 05:01:15 EDT
@Igor: are you taking this?
Comment 44 Pavel Alexeev 2016-08-29 15:17:34 EDT
Igor ping?
Comment 46 Igor Gnatenko 2016-08-30 00:48:45 EDT
I want to review this, but I'm out of time.. Sorry for my late response.
Comment 47 Sandro Mani 2016-08-30 04:30:39 EDT
I can review this next week - currently away from home/office with a terrible internet connection.
Comment 48 Sandro Mani 2016-09-05 16:43:40 EDT
What's the use of the -devel package with no headers?
Comment 49 Pavel Alexeev 2016-09-07 06:10:12 EDT
Hm. Good question.
Comment 51 Sandro Mani 2016-09-14 16:44:11 EDT
Issues:
- Missing requires for unowned directories:
  /usr/share/mime/{,packages} -> shared-mime-info

- In my opinion better to also require hicolor-icon-theme and only own %{_datadir}/icons/hicolor/256x256/apps/pgmodeler_logo.png

- Files listed twice: remove %{_libdir}/%{name}/lib*.so

- For F25+, various scriptlets should not be run according to [1]. For F23, F24 update-mime-database needs to be invoked in %post.

- The package should not provide the private libraries in %{_libdir}/%{name}, see [2]

[1] https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#desktop-database
[2] https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib64/pgmodeler/libobjrenderer.so
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Reason for placing in main package justified.
[-]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "Unknown or generated", "*No copyright* GPL". 620 files
     have unknown license.
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/mime,
     /usr/share/mime/packages
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor/256x256/apps(hicolor-icon-theme, fedora-
     logos), /usr/share/icons/hicolor/256x256(hicolor-icon-theme, fedora-
     logos), /usr/share/icons/hicolor(hicolor-icon-theme, fedora-logos)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in pgmodeler
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in pgmodeler
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: pgmodeler
     See:
     http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     pgmodeler-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1218560 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pgmodeler-0.8.2-3.fc26.x86_64.rpm
          pgmodeler-debuginfo-0.8.2-3.fc26.x86_64.rpm
          pgmodeler-0.8.2-3.fc26.src.rpm
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libpgmodeler.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libparsers.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libobjrenderer.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libpgconnector.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libutils.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libpgmodeler_ui.so
pgmodeler.x86_64: W: no-manual-page-for-binary pgmodeler
pgmodeler.x86_64: W: no-manual-page-for-binary pgmodeler-cli
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: pgmodeler-debuginfo-0.8.2-3.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libpgconnector.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libobjrenderer.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libpgmodeler_ui.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libparsers.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libutils.so
pgmodeler.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pgmodeler/libpgmodeler.so
pgmodeler.x86_64: W: no-manual-page-for-binary pgmodeler-cli
pgmodeler.x86_64: W: no-manual-page-for-binary pgmodeler
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
pgmodeler-debuginfo (rpmlib, GLIBC filtered):

pgmodeler (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Svg.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libobjrenderer.so.1()(64bit)
    libparsers.so.1()(64bit)
    libpgconnector.so.1()(64bit)
    libpgmodeler.so.1()(64bit)
    libpgmodeler_ui.so.1()(64bit)
    libpq.so.5()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutils.so.1()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    rtld(GNU_HASH)



Provides
--------
pgmodeler-debuginfo:
    pgmodeler-debuginfo
    pgmodeler-debuginfo(x86-64)

pgmodeler:
    appdata()
    appdata(pgmodeler.appdata.xml)
    application()
    application(pgmodeler.desktop)
    libobjrenderer.so.1()(64bit)
    libparsers.so.1()(64bit)
    libpgconnector.so.1()(64bit)
    libpgmodeler.so.1()(64bit)
    libpgmodeler_ui.so.1()(64bit)
    libutils.so.1()(64bit)
    mimehandler(application/dbm)
    pgmodeler
    pgmodeler(x86-64)



Unversioned so-files
--------------------
pgmodeler: /usr/lib64/pgmodeler/libobjrenderer.so
pgmodeler: /usr/lib64/pgmodeler/libparsers.so
pgmodeler: /usr/lib64/pgmodeler/libpgconnector.so
pgmodeler: /usr/lib64/pgmodeler/libpgmodeler.so
pgmodeler: /usr/lib64/pgmodeler/libpgmodeler_ui.so
pgmodeler: /usr/lib64/pgmodeler/libutils.so

Source checksums
----------------
https://github.com/pgmodeler/pgmodeler/archive/v0.8.2.tar.gz#/pgmodeler-0.8.2.tar.xz :
  CHECKSUM(SHA256) this package     : 66891ca514496f15abbc7a9757b6c09805500a7255335e84aa78a40748abebd1
  CHECKSUM(SHA256) upstream package : 66891ca514496f15abbc7a9757b6c09805500a7255335e84aa78a40748abebd1


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 977116
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 52 Pavel Alexeev 2016-09-20 17:05:07 EDT
Add Requires shared-mime-info. hicolor-icon-theme already required.

> - For F25+, various scriptlets should not be run according to [1]. For F23, F24 update-mime-database needs to be invoked in %post.

That already there: https://github.com/Hubbitus/Fedora-packaging/blob/master/SPECS/pgmodeler.spec#L81


Changes: https://github.com/Hubbitus/Fedora-packaging/commit/ca4684e8f693b037c20988337abfea9ffd8faf67
Spec: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/ca4684e8f693b037c20988337abfea9ffd8faf67/SPECS/pgmodeler.spec
Srpm: http://rpm.hubbitus.info/Fedora24/pgmodeler/pgmodeler-0.8.2-4.fc24.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15723164
Comment 53 Sandro Mani 2016-09-21 03:55:38 EDT
Package approved.
Comment 54 Pavel Alexeev 2016-09-22 10:30:21 EDT
Thank you very much Sandro.

Could I review something for you?
Comment 55 Gwyn Ciesla 2016-09-22 12:15:55 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/pgmodeler
Comment 56 Sandro Mani 2016-09-23 05:54:13 EDT
If you do MinGW reviews, could you have a look at https://bugzilla.redhat.com/show_bug.cgi?id=1378807?
Comment 57 Fedora Update System 2016-09-23 20:53:46 EDT
pgmodeler-0.8.2-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-16511f4864
Comment 58 Fedora Update System 2016-09-24 13:51:22 EDT
pgmodeler-0.8.2-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b9e7cc8ffd
Comment 59 Fedora Update System 2016-10-11 11:43:14 EDT
pgmodeler-0.8.2-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 60 Fedora Update System 2016-10-11 15:56:00 EDT
pgmodeler-0.8.2-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.